variables:
  # https://hub.docker.com/r/bellsoft/liberica-openjdk-debian
  JAVA_TAG: "bellsoft/liberica-openjdk-debian:19.0.2"
  GIT_DEPTH: 1

before_script:
  - GRADLE_USER_HOME="$(pwd)/.gradle"
  - export GRADLE_USER_HOME

### stage: build
##################################################
build:
  image: "$JAVA_TAG"
  stage: build
  script:
    - ./gradlew --build-cache clean build publish

